[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.OnAlignPosition

Event handler signalled to determines the position and size for custom-aligned child controls.

## Declaration

Source position: controls.pp line 2344

`public property TWinControl.OnAlignPosition : TAlignPositionEvent read FOnAlignPosition write FOnAlignPosition;`

## See also

TWinControl.CustomAlignPosition |  | Returns the aligned position for a custom-aligned child control, using the OnAlignPosition event handler.
TWinControl.AlignControls |  | Repositions and resizes the control and child controls.
TControl.Align |  | Specifies the placement of the control on its Parent control.
TControl.Anchors |  | The set of anchor definitions for this control.
TAlign |  | Alignment options for a control, within its Parent control.
TAlignPositionEvent |  | Type of an OnAlignPosition handler.